# Accelerometersensor

Non-visible component that can detect shaking and measure acceleration approximately in three dimensions using SI units (m/s2). The components are:

* **xAccel**: 0 when the phone is at rest on a flat surface, positive when the phone is tilted to the right (i.e., its left side is raised), and negative when the phone is tilted to the left (i.e., its right size is raised).
* **yAccel**: 0 when the phone is at rest on a flat surface, positive when its bottom is raised, and negative when its top is raised.
* **zAccel**: Equal to -9.8 (earth's gravity in meters per      second per second when the device is at rest parallel to the ground with the display facing up, 0 when perpendicular to the ground, and +9.8 when facing down. The value can also be affected by accelerating it with or against gravity.

## Properties

### Available

### Enabled

### MinimumInterval

The minimum interval, in milliseconds, between phone shakes

### Sensitivity

A number that encodes how sensitive the accelerometer is. The choices are:

* 1 = weak
* 2 = moderate
* 3 = strong

### XAccel

### YAccel

### ZAccel

## Events

### AccelerationChanged

| Parameter | Type   |
| --------- | ------ |
| xAccel    | number |
| yAccel    | number |
| zAccel    | number |

Indicates the acceleration changed in the X, Y, and/or Z dimensions.

### Shaking

Indicates the device started being shaken or continues to be shaken.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.appybuilder.com/components/reference/sensors/accelerometersensor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
